variables:
  GIT_SUBMODULE_STRATEGY: recursive
stages:
  - linux
  - windows

linux:
  tags:
    - saas-linux-small-amd64
  image: manjarolinux/base
  stage: linux
  before_script:
    - pacman -Syu --noconfirm
    - pacman -Sy --noconfirm gcc make qt6-tools qt6-base qt6-connectivity qt6-svg qt6-multimedia qt6-translations
  script:
    - qmake6 -v
    - qmake6 *.pro
    - make
  artifacts:
    name: "$CI_PROJECT_NAME"
    paths:
      - build

windows:
  tags:
    - windows
    - qt
  only:
    - tags
    - triggers
    - schedules
  stage: windows
  script:
    - $env:Path += ";C:\Qt\Tools\mingw1120_64\bin"
    - $env:QTDIR = "C:\Qt\Static\6.2.4\bin"
    - C:\Qt\Static\6.2.4\bin\qmake.exe
    - mingw32-make.exe release
  artifacts:
    name: "$CI_PROJECT_NAME"
    paths:
      - build